GlueGen: com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Protected Member Functions | List of all members
com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter Class Reference

This class emits the comment for the wrapper method. More...

Inheritance diagram for com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter:
Collaboration diagram for com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter:

## Protected Member Functions

void | emitBeginning (final FunctionEmitter methodEmitter, final PrintWriter writer)
Protected Member Functions inherited from com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter
void | emitAliasedDocNamesComment (final AliasedSymbol sym, final PrintWriter writer)
StringBuilder | emitAliasedDocNamesComment (final AliasedSymbol sym, final StringBuilder sb)
void | emitBeginning (final FunctionEmitter emitter, final PrintWriter writer)
void | emitBindingCSignature (final MethodBinding binding, final PrintWriter writer)
void | emitEnding (final FunctionEmitter emitter, final PrintWriter writer)

## Additional Inherited Members

Public Member Functions inherited from com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter
void | emit (final FunctionEmitter emitter, final PrintWriter writer)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...
void | emit (FunctionEmitter funcEmitter, PrintWriter output)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...

## Detailed Description

This class emits the comment for the wrapper method.

Definition at line 147 of file ProcAddressJavaMethodBindingEmitter.java.

## Member Function Documentation

## ◆ emitBeginning()

void com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter.emitBeginning | ( | final FunctionEmitter | methodEmitter,
|  | final PrintWriter | writer
| ) |  |

protected

Reimplemented from com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.

Definition at line 150 of file ProcAddressJavaMethodBindingEmitter.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/procaddress/ProcAddressJavaMethodBindingEmitter.java